Bug 866972 - katello-debug needs to take headpin into consideration
katello-debug needs to take headpin into consideration
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Adam Price
Og Maciel
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-10-16 08:43 EDT by Og Maciel
Modified: 2013-02-21 14:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Enhanced katello-debug to improve support for headpin
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:18:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-10-16 08:43:46 EDT
Description of problem:

running katello-debug in headpin displays several messages complaining of missing directories, such as pulp. It would be nice to handle the fact that pulp is not used in headpin and not display error messages.

Version-Release number of selected component (if applicable):

* candlepin-0.7.15-1.el6.noarch
* candlepin-tomcat6-0.7.15-1.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.9-1.el6.noarch
* katello-cli-1.2.0-1.git.10.c749d42.el6.noarch
* katello-cli-common-1.2.0-1.git.10.c749d42.el6.noarch
* katello-common-1.2.0-1.git.5.d71daca.el6.noarch
* katello-configure-1.2.0-1.git.19.933949b.el6.noarch
* katello-glue-candlepin-1.2.0-1.git.5.d71daca.el6.noarch
* katello-headpin-1.2.0-1.git.5.d71daca.el6.noarch
* katello-headpin-all-1.2.0-1.git.5.d71daca.el6.noarch
* katello-repos-1.2.1-1.el6.noarch
* katello-selinux-1.1.2-1.el6.noarch
* thumbslug-0.0.25-1.el6.noarch
* thumbslug-selinux-0.0.25-1.el6.noarch

How reproducible:


Steps to Reproduce:
1. katello-debug
2.
3.
  
Actual results:

# katello-debug
created directory /tmp/katello-debug-20121016051252
  copying over /var/log/audit/audit.log
  copying over /var/log/httpd
  copying over /etc/httpd/conf.d
  copying over /var/log/tomcat6
  copying over /etc/candlepin/candlepin.conf
  copying over /etc/tomcat6/server.xml
  copying over /etc/thumbslug
  copying over /var/log/thumbslug
  copying over /var/log/katello
  copying over /etc/katello/client.conf
  copying over /etc/katello/katello.yml
  copying over /etc/katello/mapping.yml
  copying over /etc/katello/thin.yml
  skipping /etc/katello/environment.db since it does not exist
  copying over /etc/katello/katello-configure.conf
  skipping /etc/httpd.d/katello.conf since it does not exist
  copying over /var/log/elasticsearch
  copying over /etc/elasticsearch
  skipping /etc/pulp/pulp.conf since it does not exist
  skipping /var/log/pulp since it does not exist
  skipping /etc/httpd.d/pulp.conf since it does not exist
  skipping /etc/qpidd.conf since it does not exist
sed: can't read /tmp/katello-debug-20121016051252/etc/pulp/pulp.conf: No such file or directory
sed: can't read /tmp/katello-debug-20121016051252/etc/pulp/pulp.conf: No such file or directory
certutil: function failed: security library: bad database.
certutil: function failed: security library: bad database.
certutil: function failed: security library: bad database.
ls: cannot access /etc/pki/katello/nssdb/*: No such file or directory
A debug file has been created at /tmp/katello-debug-20121016051252.tar.gz.
Make sure it contains no security sensitive data before making it public!


Expected results:


Additional info:
Comment 3 Tazim Kolhar 2012-11-20 11:29:18 EST
FAILED QA :


# rpm -qa | grep katello
katello-configure-1.2.3-1h.el6_3.noarch
katello-headpin-all-1.2.6-1h.el6_3.noarch
katello-glue-candlepin-1.2.6-1h.el6_3.noarch
katello-cli-1.2.4-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-common-1.2.4-1h.el6_3.noarch
katello-headpin-1.2.6-1h.el6_3.noarch
katello-common-1.2.6-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch



# katello-debug
created directory /tmp/katello-debug-20121120112808
  copying over /var/log/audit/audit.log
  copying over /var/log/httpd
  copying over /etc/httpd/conf.d
  copying over /var/log/tomcat6
  copying over /etc/candlepin/candlepin.conf
  copying over /etc/tomcat6/server.xml
  copying over /etc/thumbslug
  copying over /var/log/thumbslug
  copying over /var/log/katello
  copying over /etc/katello/client.conf
  copying over /etc/katello/katello.yml
  copying over /etc/katello/mapping.yml
  copying over /etc/katello/thin.yml
  skipping /etc/katello/environment.db since it does not exist
  copying over /etc/katello/katello-configure.conf
  skipping /etc/httpd.d/katello.conf since it does not exist
  copying over /var/log/elasticsearch
  copying over /etc/elasticsearch
  skipping /etc/pulp/pulp.conf since it does not exist
  skipping /var/log/pulp since it does not exist
  skipping /etc/httpd.d/pulp.conf since it does not exist
  skipping /etc/qpidd.conf since it does not exist
sed: can't read /tmp/katello-debug-20121120112808/etc/pulp/pulp.conf: No such file or directory
sed: can't read /tmp/katello-debug-20121120112808/etc/pulp/pulp.conf: No such file or directory
certutil: function failed: security library: bad database.
certutil: function failed: security library: bad database.
certutil: function failed: security library: bad database.
ls: cannot access /etc/pki/katello/nssdb/*: No such file or directory
A debug file has been created at /tmp/katello-debug-20121120112808.tar.gz.
Make sure it contains no security sensitive data before making it public!
Comment 5 Og Maciel 2013-01-08 11:09:50 EST
# katello-debug
detected deployment: 	headpin
created directory /tmp/katello-debug-20130108110934
  copying over /var/log/audit/audit.log
  copying over /var/log/httpd
  copying over /etc/httpd/conf.d
  copying over /var/log/katello
  copying over /etc/katello/client.conf
  copying over /etc/katello/katello.yml
  copying over /etc/katello/mapping.yml
  copying over /etc/katello/thin.yml
  copying over /etc/katello/katello-configure.conf
  copying over /etc/httpd/conf.d/katello.conf
  copying over /etc/katello/environment.rb
  copying over /var/log/elasticsearch
  copying over /etc/elasticsearch
  copying over /var/log/tomcat6
  copying over /etc/candlepin/candlepin.conf
  copying over /etc/tomcat6/server.xml
  copying over /etc/thumbslug
  copying over /var/log/thumbslug
A debug file has been created at /tmp/katello-debug-20130108110934.tar.gz.
Make sure it contains no security sensitive data before making it public!
Comment 6 Og Maciel 2013-01-08 11:10:23 EST
Verified:

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-11h.el6_3.noarch
* katello-cli-common-1.2.1-11h.el6_3.noarch
* katello-common-1.2.1-12h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.1-12h.el6_3.noarch
* katello-headpin-1.2.1-12h.el6_3.noarch
* katello-headpin-all-1.2.1-12h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 8 errata-xmlrpc 2013-02-21 14:18:15 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.